# BDIO in Julia

This package provides an interface to read/write
[BDIO](http://bdio.org/) (**B**inary **D**ata **I**nput/**O**utput)
files in Julia. 

## Index

```@index
```

## Externally callable functions

### Setting up global information

```@docs
BDIO.BDIO_set_user
BDIO.BDIO_set_host
```

### Openning `BDIO` files

```@docs
BDIO.BDIO_open
```

### Writing data to `BDIO` files

```@docs
BDIO.BDIO_start_record!
BDIO.BDIO_write!
BDIO.BDIO_write_hash!
```

### Reading data from `BDIO` files

```@docs
BDIO.BDIO_read
BDIO.BDIO_seek!
```

### Obtaining information about `BDIO` records

```@docs
BDIO.BDIO_get_uinfo
BDIO.BDIO_get_len
BDIO.BDIO_get_fmt
```

